<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- dmg-module.qdoc -->
  <title>dmg QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#appearance-properties">Appearance Properties</a></li>
<li class="level2"><a href="#license-properties">License Properties</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">dmg QML Type</h1>
<span class="subtitle"></span>
<!-- $$$dmg-brief -->
<p>Provides support for building Apple Disk Images. <a href="#details">More...</a></p>
<!-- @@@dmg -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.9</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-dmg-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#backgroundColor-prop">backgroundColor</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#badgeVolumeIcon-prop">badgeVolumeIcon</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#compressionLevel-prop">compressionLevel</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#defaultLicenseLocale-prop">defaultLicenseLocale</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#dmgSuffix-prop">dmgSuffix</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#format-prop">format</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#hdiutilPath-prop">hdiutilPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#iconPositions-prop">iconPositions</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#iconSize-prop">iconSize</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#iconX-prop">iconX</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#iconY-prop">iconY</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseAgreeButtonText-prop">licenseAgreeButtonText</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseDisagreeButtonText-prop">licenseDisagreeButtonText</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseInstructionText-prop">licenseInstructionText</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseLocale-prop">licenseLocale</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licensePrintButtonText-prop">licensePrintButtonText</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#licenseSaveButtonText-prop">licenseSaveButtonText</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#sourceBase-prop">sourceBase</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#textutilPath-prop">textutilPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#volumeName-prop">volumeName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#windowHeight-prop">windowHeight</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#windowWidth-prop">windowWidth</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#windowX-prop">windowX</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-dmg.html#windowY-prop">windowY</a></b></b> : int</li>
</ul>
<!-- $$$dmg-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>dmg</code> module contains properties and rules for building Apple Disk Images, which are typically used to distribute applications and installers on <a href="nolink">macOS</a>.</p>
<p>This module is only available on Apple platforms.</p>
<p>Qbs enables you to build <a href="nolink">macOS</a> disk images with custom backgrounds and icon layouts. Most applications on <a href="nolink">macOS</a> are installed via a <code>.dmg</code> file, which is usually customized by using a custom image background and icon layout. Unfortunately, it is challenging to construct such DMG files correctly, because the layout relies on several undocumented proprietary file formats, some of which date back to the Mac OS Classic days, and which are even nested within one another.</p>
<p>Most of the existing tools to create DMG files do so by using AppleScript to manipulate the Finder graphically to generate the appropriate icon layout, which is both unstable and incompatible with headless build servers, because the necessary OS services to launch graphical applications may not be running at all. Many projects create the primary <code>.DS_Store</code> file manually, and commit the result to their source repository. This binary blob is difficult to inspect and edit, and might not be backwards compatible with older versions of the OS, depending on how it was generated.</p>
<p>Qbs takes a different approach. It generates the necessary files programmatically, in an entirely reproducible manner. There are no external dependencies that need to be separately installed nor do any binary blobs need to be committed to your source repository.</p>
<a name="appearance-properties"></a>
<h3 id="appearance-properties">Appearance Properties</h3>
<p>Appearance properties are used to control the contents of the .<a href="qbs-attribution-ds-store.html#ds-store">DS_Store</a> file and its embedded Alias and Bookmark records, that will be generated by Qbs in order to control the appearance of the disk image when mounted in Finder.</p>
<a name="license-properties"></a>
<h3 id="license-properties">License Properties</h3>
<p>License properties are used to control the content and appearance of the license prompt displayed when a user attempts to mount the resulting disk image via Finder.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-dmg"></a><p>The file tags determine how the tagged files are handled.</p>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;dmg.input&quot;</code></td><td >n/a</td><td >1.9</td><td >Tagged files are copied into the disk image. The <a href="qml-qbsmodules-dmg.html#sourceBase-prop">sourceBase</a> property controls the destination directory and hierarchy of copied files within the disk image.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;dmg.license.input&quot;</code></td><td ><code>*.txt</code>, <code>*.rtf</code>, <code>*.html</code>, <code>*.doc</code>, <code>*.docx</code>, <code>*.odt</code>, <code>*.xml</code>, <code>*.webarchive</code></td><td >1.9</td><td >Tagged files are converted into rich text and used for the license prompt when mounting the DMG.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;icns&quot;</code></td><td ><code>*.icns</code></td><td >1.3</td><td >The tagged file is added as the Apple Disk Image volume icon, which will show up in the Finder as an overlay on the file icon.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;tiff&quot;</code></td><td ><code>*.tif</code>, <code>*.tiff</code></td><td >1.9</td><td >The tagged file is used as the background image of the directory as shown in Finder when the DMG file is mounted.</td></tr>
</table></div>
<!-- @@@dmg -->
<h2>Property Documentation</h2>
<!-- $$$backgroundColor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="backgroundColor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">backgroundColor</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The background color of the disk image as seen when mounted in Finder.</p>
<p>For the full list of supported color names and formats, see the <a href="https://dmgbuild.readthedocs.io/en/latest/settings.html#background">dmgbuild - Settings</a> documentation.</p>
<p>For more information about how to use an image for the background instead, see <a href="qml-qbsmodules-dmg.html#filetags-dmg">&quot;tiff&quot;</a>.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@backgroundColor -->
<br/>
<!-- $$$badgeVolumeIcon -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="badgeVolumeIcon-prop">
<td class="tblQmlPropNode"><p>
<span class="name">badgeVolumeIcon</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to render the user-supplied icon (<a href="qml-qbsmodules-dmg.html#filetags-dmg">&quot;icns&quot;</a>) on top of the default volume icon instead of using it directly. This generally gives the disk image icon a better and more consistent appearance.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@badgeVolumeIcon -->
<br/>
<!-- $$$compressionLevel -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compressionLevel-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compressionLevel</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The <code>zlib</code>, <code>bzip2</code>, or <code>lzfse</code> compression level for UDZO, UDBZ, or ULFO disk images.</p>
<p>Default: <code>9</code> in release mode, otherwise <code>undefined</code>.</p>
</div></div><!-- @@@compressionLevel -->
<br/>
<!-- $$$defaultLicenseLocale -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="defaultLicenseLocale-prop">
<td class="tblQmlPropNode"><p>
<span class="name">defaultLicenseLocale</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The locale of the default license to display when there is no license whose locale matches the system locale.</p>
<p>Default: <code>&quot;en_US&quot;</code></p>
</div></div><!-- @@@defaultLicenseLocale -->
<br/>
<!-- $$$dmgSuffix -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="dmgSuffix-prop">
<td class="tblQmlPropNode"><p>
<span class="name">dmgSuffix</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The file extension for disk images.</p>
<p>This should not normally need to be changed.</p>
<p>Default: <code>&quot;.dmg&quot;</code></p>
</div></div><!-- @@@dmgSuffix -->
<br/>
<!-- $$$format -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="format-prop">
<td class="tblQmlPropNode"><p>
<span class="name">format</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The format to create the disk image in.</p>
<p>Allowed values include but are not limited to <code>&quot;UDZO&quot;</code>, <code>&quot;UDBZ&quot;</code>, and <code>&quot;ULFO&quot;</code>.</p>
<p>Default: <code>&quot;UDBZ&quot;</code></p>
</div></div><!-- @@@format -->
<br/>
<!-- $$$hdiutilPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="hdiutilPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">hdiutilPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path to the <code>hdiutil</code> binary used to perform disk image related operations.</p>
<p>This should not normally need to be changed.</p>
<p>Default: <code>&quot;/usr/bin/hdiutil&quot;</code></p>
</div></div><!-- @@@hdiutilPath -->
<br/>
<!-- $$$iconPositions -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="iconPositions-prop">
<td class="tblQmlPropNode"><p>
<span class="name">iconPositions</span> : <span class="type">list</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of objects containing the <code>path</code>, <code>x</code>, and <code>y</code> properties, which correspond to disk image-relative file paths and visual coordinates of file icons in the disk image as seen when it is mounted in Finder.</p>
<p>For example:</p>
<pre class="cpp">

  dmg<span class="operator">.</span>iconPositions: <span class="operator">[</span>
      {<span class="string">&quot;path&quot;</span>: <span class="string">&quot;Applications&quot;</span><span class="operator">,</span> <span class="string">&quot;x&quot;</span>: <span class="number">128</span><span class="operator">,</span> <span class="string">&quot;y&quot;</span>: <span class="number">128</span>}<span class="operator">,</span>
      {<span class="string">&quot;path&quot;</span>: <span class="string">&quot;Foo Bar.app&quot;</span><span class="operator">,</span> <span class="string">&quot;x&quot;</span>: <span class="number">256</span><span class="operator">,</span> <span class="string">&quot;y&quot;</span>: <span class="number">128</span>}
  <span class="operator">]</span>

</pre>
<p>This property is useful for specifying the positions of files where you do not have direct control over the corresponding Qbs artifact, or there is no corresponding Qbs artifact (for example, &quot;Foo Bar.app&quot; is a directory, which has no equivalent artifact in the build graph).</p>
<p>For files to which you are directly applying the <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.input</a> file tag, you should use the <a href="qml-qbsmodules-dmg.html#iconX-prop">iconX</a> and <a href="qml-qbsmodules-dmg.html#iconY-prop">iconY</a> properties instead.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@iconPositions -->
<br/>
<!-- $$$iconSize -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="iconSize-prop">
<td class="tblQmlPropNode"><p>
<span class="name">iconSize</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The width and height of the file icons as seen when the disk image is mounted in Finder.</p>
<p>Default: <code>128</code></p>
</div></div><!-- @@@iconSize -->
<br/>
<!-- $$$iconX -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="iconX-prop">
<td class="tblQmlPropNode"><p>
<span class="name">iconX</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The x position of the file icon in the Finder window that displayed the disk image contents when it is mounted.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.input</a>. It cannot be used at the product level to affect all files.</p>
<p>If you do not have access to the artifact corresponding to the file whose position you want to set, use the <a href="qml-qbsmodules-dmg.html#iconPositions-prop">iconPositions</a> property instead.</p>
<p>Default: <code>windowWidth / 2</code></p>
</div></div><!-- @@@iconX -->
<br/>
<!-- $$$iconY -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="iconY-prop">
<td class="tblQmlPropNode"><p>
<span class="name">iconY</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The y position of the file icon in the Finder window that displayed the disk image contents when it is mounted.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.input</a>. It cannot be used at the product level to affect all files.</p>
<p>If you do not have access to the artifact corresponding to the file whose position you want to set, use the <a href="qml-qbsmodules-dmg.html#iconPositions-prop">iconPositions</a> property instead.</p>
<p>Default: <code>windowHeight / 2</code></p>
</div></div><!-- @@@iconY -->
<br/>
<!-- $$$licenseAgreeButtonText -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseAgreeButtonText-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseAgreeButtonText</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The text shown on the <i>Agree</i> button associated with the license file, localized to the value of <a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a>.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;Agree&quot;</code></p>
</div></div><!-- @@@licenseAgreeButtonText -->
<br/>
<!-- $$$licenseDisagreeButtonText -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseDisagreeButtonText-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseDisagreeButtonText</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The text shown on the <code>Disagree</code> button associated with the license file, localized to the value of <a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a>.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;Disagree&quot;</code></p>
</div></div><!-- @@@licenseDisagreeButtonText -->
<br/>
<!-- $$$licenseInstructionText -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseInstructionText-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseInstructionText</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>An instruction text associated with the license file that will be shown on the license dialog, localized to the value of <a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a>.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;If you agree with the terms of this license, press \&quot;Agree\&quot; to install the software. If you do not agree, press \&quot;Disagree\&quot;.&quot;</code></p>
</div></div><!-- @@@licenseInstructionText -->
<br/>
<!-- $$$licenseLanguageName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseLanguageName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseLanguageName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the language associated with the license file, localized to that language.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;English&quot;</code></p>
</div></div><!-- @@@licenseLanguageName -->
<br/>
<!-- $$$licenseLocale -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseLocale-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseLocale</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The locale of the license file.</p>
<p>Defaults to a value guessed from the file path, specifically the base name of any <code>.lproj</code> directory found in the file's path. If the locale could not be determined from the file path and this property is not set, an error will be emitted.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: Determined automatically.</p>
</div></div><!-- @@@licenseLocale -->
<br/>
<!-- $$$licensePrintButtonText -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licensePrintButtonText-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licensePrintButtonText</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The text shown on the <code>Print</code> button associated with the license file, localized to the value of <a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a>.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;Print&quot;</code></p>
</div></div><!-- @@@licensePrintButtonText -->
<br/>
<!-- $$$licenseSaveButtonText -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="licenseSaveButtonText-prop">
<td class="tblQmlPropNode"><p>
<span class="name">licenseSaveButtonText</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The text shown on the <i>Save</i> button associated with the license file, localized to the value of <a href="qml-qbsmodules-dmg.html#licenseLanguageName-prop">licenseLanguageName</a>.</p>
<p>This property is only useful with artifacts tagged <a href="qml-qbsmodules-dmg.html#filetags-dmg">dmg.license.input</a>. It cannot be used at the product level to affect all files.</p>
<p>Default: <code>&quot;Save&quot;</code></p>
</div></div><!-- @@@licenseSaveButtonText -->
<br/>
<!-- $$$sourceBase -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sourceBase-prop">
<td class="tblQmlPropNode"><p>
<span class="name">sourceBase</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base directory of the files that are going to be embedded in the DMG (<a href="qml-qbsmodules-dmg.html#filetags-dmg">&quot;dmg.input&quot;</a>). The source base directory is omitted from the target directory path of the DMG directory.</p>
<p>Default: The directory of the current file to be embedded, relative to the product's source directory.</p>
</div></div><!-- @@@sourceBase -->
<br/>
<!-- $$$textutilPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="textutilPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">textutilPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path to the <code>textutil</code> binary used to convert license agreement files to rich text format.</p>
<p>This should not normally need to be changed.</p>
<p>Default: <code>&quot;/usr/bin/textutil&quot;</code></p>
</div></div><!-- @@@textutilPath -->
<br/>
<!-- $$$volumeName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="volumeName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">volumeName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The name of the disk image that is displayed in Finder when the DMG is mounted.</p>
<p>Default: <a href="qml-qbslanguageitems-product.html#targetName-prop">product.targetName</a></p>
</div></div><!-- @@@volumeName -->
<br/>
<!-- $$$windowHeight -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="windowHeight-prop">
<td class="tblQmlPropNode"><p>
<span class="name">windowHeight</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The height of the Finder window that displays the disk image contents when it is mounted.</p>
<p><b>Note: </b>The window height includes the height of the standard <a href="nolink">macOS</a> title bar (22 points).</p><p>Default: <code>480</code></p>
</div></div><!-- @@@windowHeight -->
<br/>
<!-- $$$windowWidth -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="windowWidth-prop">
<td class="tblQmlPropNode"><p>
<span class="name">windowWidth</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The width of the Finder window that displays the disk image contents when it is mounted.</p>
<p>Default: <code>640</code></p>
</div></div><!-- @@@windowWidth -->
<br/>
<!-- $$$windowX -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="windowX-prop">
<td class="tblQmlPropNode"><p>
<span class="name">windowX</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The x position of the Finder window that displays the disk image contents when it is mounted.</p>
<p>Default: <code>100</code></p>
</div></div><!-- @@@windowX -->
<br/>
<!-- $$$windowY -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="windowY-prop">
<td class="tblQmlPropNode"><p>
<span class="name">windowY</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The y position of the Finder window that displays the disk image contents when it is mounted.</p>
<p>Default: <code>100</code></p>
</div></div><!-- @@@windowY -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
